2.2.0版本用命令行发布包报出异常 Error: Cannot find module 'gulp'

2.2.0版本用命令行发布包报出异常 。环境等都有安装好,gulp其实是已经有安装好了。
 
stderr:
internal/modules/cjs/loader.js:638
    throw err;
    ^
Error: Cannot find module 'gulp'
1.png 2.png 3.png
已邀请:

陆仁毅

赞同来自:

2.1.0的项目可以用1.3.0版本,目前的cmd工具需要等待IDE发版支持。或者手动替换下.laya下的publish.js,然后按照这个关于
useIDENode环境判断的修改同步到compile.js

要回复问题请先

商务合作
商务合作